package com.yonge.cooleshow.biz.dal.dto.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yonge.cooleshow.biz.dal.convert.OrderStatusConvert;
import com.yonge.cooleshow.biz.dal.convert.OrderTypeConvert;
import com.yonge.cooleshow.biz.dal.enums.OrderStatusEnum;
import com.yonge.cooleshow.biz.dal.enums.OrderTypeEnum;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022/4/15 17:32
 */
public class UserOrderExport {
    @ExcelProperty(value = "交易流水号", index = 0)
    private String transNo;
    @ExcelProperty(value = "订单号", index = 1)
    private String orderNo;
    @ExcelProperty(value = "订单时间", index = 2)
    private Date createTime;
    @ExcelProperty(value = "用户编号", index = 3)
    private Long userId;
    @ExcelProperty(value = "用户姓名", index = 4)
    private String username;
    @ExcelProperty(value = "手机号码", index = 5)
    private String phone;
    @ExcelProperty(value = "交易类型", index = 6, converter = OrderTypeConvert.class)
    private OrderTypeEnum orderType;
    @ExcelProperty(value = "订单金额", index = 7)
    private BigDecimal actualPrice;
    @ExcelProperty(value = "服务费", index = 8)
    private BigDecimal plantformFee;
    @ExcelProperty(value = "手续费", index = 9)
    private BigDecimal feeAmt;
    @ExcelProperty(value = "交易状态", index = 10, converter = OrderStatusConvert.class)
    private OrderStatusEnum status;
    @ExcelProperty(value = "备注", index = 11)
    private String userNote;

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public OrderTypeEnum getOrderType() {
        return orderType;
    }

    public void setOrderType(OrderTypeEnum orderType) {
        this.orderType = orderType;
    }

    public BigDecimal getActualPrice() {
        return actualPrice;
    }

    public void setActualPrice(BigDecimal actualPrice) {
        this.actualPrice = actualPrice;
    }

    public BigDecimal getPlantformFee() {
        return plantformFee;
    }

    public void setPlantformFee(BigDecimal plantformFee) {
        this.plantformFee = plantformFee;
    }

    public BigDecimal getFeeAmt() {
        return feeAmt;
    }

    public void setFeeAmt(BigDecimal feeAmt) {
        this.feeAmt = feeAmt;
    }

    public OrderStatusEnum getStatus() {
        return status;
    }

    public void setStatus(OrderStatusEnum status) {
        this.status = status;
    }

    public String getUserNote() {
        return userNote;
    }

    public void setUserNote(String userNote) {
        this.userNote = userNote;
    }
}
